{% extends 'layout.html.twig' %}

{% block title %}TWIM Word - Show the word{% endblock %}

{% block body_id 'desktop_show_word' %}

{% block body %}

    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">
        
            {% if errors is defined and errors.general is defined %}
                <p>
                    <span class="bsp-err-spn invalid-feedback d-block">
                        <span class="d-block">
                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                            <span class="form-error-message">
                                {{ errors.general }}
                            </span>
                        </span>
                    </span>
                </p>
            {% endif %}


            {# <div class="row">
                <div class="col">
                    <div><strong>{{ 'label.word'|trans({},'frontends') }}</strong></div>
                </div>
            </div> #}

            <div class="row">
                <div class="col align-self-center"> 
                    <div class="text-center align-middle ">
                        <strong>
                            <span class="cls_preview_word_name {{ word.formattedOptionals }}">{{ word.name|upper }}</span>
                        </strong>
                    </div>
                </div>
                <div class="col">

                    <div class="row">
                        <div class="col">
                            <div><strong>{{ 'label.value'|trans({},'frontends') }}</strong></div>
                            <div>
                                <i class="fas fa-coins"></i>
                                {{ word.value|number_format(2, '.', ',') }} $
                            </div>
                        </div>
                    </div>

                    <div class="row mt-2">
                        <div class="col">
                            <div><strong>{{ 'label.user'|trans({},'frontends') }}</strong></div>
                            <div>
                                {% if word.owner.isTheKing is defined and word.owner.isTheKing %}
                                    <i class="fas fa-crown {#fa-2x#}"></i>
                                {% else %}
                                    <i class="fas fa-user"></i>
                                {% endif %}
                                @{{ word.owner.username }}
                            </div>
                        </div>
                    </div>

                    <div class="row mt-2">
                        <div class="col">
                            <div><strong>{{ 'label.last.update'|trans({},'frontends') }}</strong></div>
                            <div>
                                <i class="fas fa-file-invoice"></i>
                                {{ word.editedAt }}
                            </div>
                        </div>
                    </div>

                </div>
            </div>


            <div class="row mt-3">
                <div class="col">
                    <div><strong>{{ 'label.word.rank'|trans({},'frontends') }}</strong></div>
                    <div class="progress">
                        <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="{{ word.rankPercentageToGoal }}" aria-valuemin="0" aria-valuemax="100" style="width: {{ word.rankPercentageToGoal }}%"></div>
                    </div>
                </div>
            </div>


            <div class="row mt-2">
                <div class="col">
                    <div>
                        {% if word.isWordKing %}
                            {{ 'sentence.word.of.king'|trans({},'frontends')|raw }}
                        {% else %}
                            {% if currentUser is defined and currentUser.isTheKing == false %}
                                {{ 'sentence.word.difference.rank'|trans({'%word_name%':word.name, '%word_value%':word.value, '%word_king_value%':word.kingValue, '%word_upgrade_value%':word.upgradeValue}, 'frontends')|raw }}
                            {% endif %}
                        {% endif %}
                    </div>
                </div>
            </div>


            <div class="row mt-3">
                <div class="col">
                    <a href="{{ url('private_word_customize', {'word_hash':word.hash}) }}" role="button" class="btn btn-success btn-lg btn-block"><i class="fas fa-star-half-alt"></i> {{ 'label.customize.word'|trans({},'frontends') }}</a>
                </div>
                <div class="col">
                    <a href="{{ url('homepage') }}" role="button" class="btn btn-primary btn-lg btn-block"><i class="far fa-money-bill-alt"></i> {{ 'label.increase.value'|trans({},'frontends') }}</a>
                </div>
            </div>


            {# Include Body of sharing #}
            {% include 'Desktop/WordBundle/_body_share.html.twig' %}

        </div>
    </div>

{% endblock %}


{#{% block stylesheets %}#}
    {#<link rel="stylesheet" href="{{ asset('build/js/purchasing_transaction.css') }}">#}
{#{% endblock %}#}

{% block javascripts %}
    {#<script src="{{ asset('build/js/purchasing_transaction.js') }}"></script>#}
    {#<script src="{{ asset('build/js/addresses.js') }}"></script>#}
    <script src="{{ asset('build/js/share.js') }}"></script>

{% endblock %}